Subject: RE: Trunk MIB (RFC 2495/6)

From: "C. M. Heard" <[email-masked]>
Date: Thu, 13 Dec 2001 16:33:58 -0800 (PST)

On Wed, 12 Sep 2001, Orly Nicklass wrote:
> 5.2. Request for uniformity:
> "Also, at this time, I'm not keeping all 96 15-min statistics
> intervals...I wish that all RFC MIBs would define keeping the interval
> stats in the same way.  They all are philosophically trying to achieve
> the same thing, but each standard (RFC2495/2496, RFC2662 (ADSL), ATMF
> IMA MIB, etc.) seems to have some particular idiosyncrasies that keep a
> MIB developer up late at night..."
> 
> Status: Sound reasonable, will check on that towards the next draft, but any
> change in here might enforce recycle to propose.

According to my notes, one of my action items from the AToMMIB
meeting on Tuesday was to look at RFCs 2495 and RFC 2496 to see
if we could legally relax the requirements those MIB modules
impose to hold 96 15-minute intervals.  Accordingly, I looked
at the DESCRIPTION clauses of dsx1ValidIntervals and
dsx3ValidIntervals.  They are both the same:

                 "The number of previous near end intervals for
                 which data was collected.  The value will be
                 96 unless the interface was brought online within
                 the last 24 hours, in which case the value will be
                 the number of complete 15 minute near end
                 intervals since the interface has been online.  In
                 the case where the agent is a proxy, it is
                 possible that some intervals are unavailable.  In
                 this case, this interval is the maximum interval
                 number for which data is available."

In view of the clear statement that "the value will be 96 unless the
interface was brought online within the last 24 hours", I am inclined 
to think that reducing the storage requirement would be an illegal change
of semantics.  So I guess if one wishes to have one's implementations of
DS1, DS3, and SONET MIBs to be as close as possible and still be conformant
then one needs to keep 96 intervals for each one.

Regards,

Mike